Bug 69259 - adding support for NVIDIA GeForce2 Go
adding support for NVIDIA GeForce2 Go
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-07-19 14:03 EDT by Alexandre Oliva
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-19 14:05:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch that merges code for the nv driver from XFree86 CVS mainline as of today (98.71 KB, patch)
2002-07-19 14:05 EDT, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description Alexandre Oliva 2002-07-19 14:03:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a) Gecko/20020610

Description of problem:
XFree86 as of Red Hat Linux 7.3 did not support NVIDIA GeForce2 Go cards.  Code
to support it, as well as many other cards, was installed in the XFree86 CVS
tree a few months ago.  The attached patch, against XFree86-4.2.0-8, merges
those changes, so that the `nv' driver works on my Dell Inspiron 8000.
Comment 1 Alexandre Oliva 2002-07-19 14:05:19 EDT
Created attachment 66024 [details]
Patch that merges code for the nv driver from XFree86 CVS mainline as of today
Comment 2 Mike A. Harris 2002-07-26 05:32:40 EDT
I've investigated the above patch, and it is unsuitable for application
to our tree.  It contains way too much needless whitespace, indenting,
restructuring changes which make it quite unreadable.

I generated my own diff against CVS with whitespace/gratuitous changes
omitted, and investgated the resultant diff.  The driver changes add
support for a lot of hardware, and change numerous other things as well.

The changes are too drastic for inclusion in our tree at this stage,
especially considering the driver freeze was approx 10 days ago.  Any
driver changes of large magnitude need to get into the first public
beta.  Smaller changes definitely need to get into the second public
beta at least.

I'm closing this WONTFIX rather than deferring it, as it'll all be
in XFree86 4.3.0 within 6 months anyway.  I'll be making CVS RPM
packages of X probably sometime in the next 2 months for testing.
Comment 3 Alexandre Oliva 2002-08-15 12:29:41 EDT
FWIW, I agree entirely with Mark.  Yesterday, I had a very unfortunate
experience with the very XFree86 binaries I built, when I had to give a
presentation to a hundred people and I couldn't get my laptop to use the
external display properly: the screen would be full of garbage and wouldn't come
back, so I had to reboot.  Before starting the presentation, fortunately.  I
switched to the VESA driver and it worked fine, so it's probably safer not to
put this code in for now.
Comment 4 Alexandre Oliva 2002-08-15 12:40:42 EDT
Oops, s/Mark/Mike/.  Mark is the NVidia guy who wrote the patch I merged.  Oops :-)

Note You need to log in before you can comment on or make changes to this bug.